Subject: bug#4001: closed (Re: bug#7135: 24.0.50; Mac OS X X11: emacsclient cannot find server from remote login)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Oct 2010 03:41:02 +0000

Your bug report

#7135: 23.1.50; [Cocoa Emacs] emacsclient can't find server via ssh

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7135: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7135
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7135: 24.0.50; Mac OS X X11: emacsclient cannot find server from remote login
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 30 Sep 2010 23:43:24 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 23.3

2010-10-01  Glenn Morris  <rgm at gnu.org>

        * emacsclient.c (set_local_socket) [DARWIN_OS]: Try as a
        fall-back DARWIN_USER_TEMP_DIR.  (Bug#3992)

Subject: Re: 23.1.50; [Cocoa Emacs] emacsclient can't find server via ssh
From: bread <[email-masked]>
To: [email-masked]
Date: Sat, 1 Aug 2009 13:46:47 +0800

I tried again with the following steps:

1. machine A with leopard and Cocoa Emacs, ssh login machine B with Ubuntu
2. use machine B to ssh login back to A
3. trigger emacs

I got emacs opening but also the following errors:

2009-08-01 13:43:37.012 Emacs[370:10b] ****** Returning nil _server
**********
2009-08-01 13:43:42.013 Emacs[370:10b] ****** Returning nil _server
**********
2009-08-01 13:43:47.098 Emacs[370:10b] ****** Returning nil _server
**********
2009-08-01 13:43:52.100 Emacs[370:10b] ****** Returning nil _server
**********
2009-08-01 13:43:57.101 Emacs[370:10b] ****** Returning nil _server
**********
^C2009-08-01 13:43:58.783 Emacs[370:10b] CGSReenableUpdate returned error
268451844
2009-08-01 13:43:58.785 Emacs[370:10b] ****** Returning nil _server
**********
2009-08-01 13:43:58.785 Emacs[370:10b] ****** Returning nil _server
**********
2009-08-01 13:43:58.786 Emacs[370:10b] ****** Returning nil _server
**********
2009-08-01 13:43:58.786 Emacs[370:10b] ****** Returning nil _server
**********
2009-08-01 13:43:58.787 Emacs[370:10b] ****** Returning nil _server
**********
2009-08-01 13:43:58.787 Emacs[370:10b] ****** Returning nil _server
**********
2009-08-01 13:43:58.797 Emacs[370:10b] CGSReenableUpdate returned error
268451844
2009-08-01 13:43:58.797 Emacs[370:10b] ****** Returning nil _server
**********
objc[370]: task_thread failed (result -301)

and I can do nothing on Emacs but force quit.
Hope this helps.

On Fri, Jul 31, 2009 at 4:05 PM, bread <[email-masked]> wrote:

> --text follows this line--
>
> Please write in English if possible, because the Emacs maintainers
> usually do not have translators to read other languages for them.
>
> Your bug report will be posted to the [email-masked] mailing
> list.
>
> Please describe exactly what actions triggered the bug
> and the precise symptoms of the bug:
>
> Hi,
>
> I've recently moved to MAC OS 10.5 and I compiled Emacs 23 just now,
> following instructions
> under nextstep.
>
> The bug i found is just like this:
>
> 1. Cocoa Emacs was opened on machine A with server-start.
>
> Using emacsclient directly under machine A is just fine.
>
> But, if I use another machine B to ssh login A, and then use emacsclient,
> it then told me no server can be found. It's wired because i've opend Emacs
> and its server.
>
> The same operations on Emacs under linux is just fine, so i thought maybe
> it's a bug related to Cocoa Emacs.
>
> 2. Since Step 1 failed, i tried server-file, too.
>
> I adjusted Emacs server to use tcp and with a server name "bread-emacs".
>
> After then, I use B to loginto A via ssh, and invoke
>
>       ./emacsclient --server-file=/Users/bread/.emacs.d/server/bread-emacs
> abc
>
> I'll get errors like below:
>
> ./emacsclient: connected to remote socket at 255.255.255.255
> ./emacsclient: connect: Can't assign requested address
> ./emacsclient: error accessing server file
> "/Users/bread/.emacs.d/server/bread-emacs"
>
> And here's the contents in ~/.emacs.d/server/bread-emacs
>
> [0:0:0:0:0:0:0:1]:50461 27746
> PbZI|X\h]&R~EdtG5n'2q=t^O.:E@7_py;:wrvaQ{4PBxFi.6o@(.5e\C~#c7aT2
>
>
> I'm not sure if this is a bug, so, if there's more information needed, plz
> let me know.
>
> Thanks.
>
> If Emacs crashed, and you have the Emacs process in the gdb debugger,
> please include the output from the following gdb commands:
>     `bt full' and `xbacktrace'.
> If you would like to further debug the crash, please read the file
> /Users/bread/codes/download/emacs/nextstep/Emacs.app/Contents/Resources/etc/DEBUG
> for instructions.
>
>
> In GNU Emacs 23.1.50.1 (i386-apple-darwin9.7.1, NS apple-appkit-949.46)
>  of 2009-07-31 on bread-mac.local
> Windowing system distributor `Apple', version 10.3.949
> configured using `configure  '--with-ns''
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: nil
>   value of $XMODIFIERS: nil
>   locale-coding-system: nil
>   default-enable-multibyte-characters: t
>
> Major mode: Emacs-Lisp
>
> Minor modes in effect:
>   gud-tooltip-mode: t
>   company-mode: t
>   senator-minor-mode: t
>   which-function-mode: t
>   semantic-mru-bookmark-mode: t
>   semantic-idle-tag-highlight-mode: t
>   semantic-idle-summary-mode: t
>   semantic-idle-scheduler-mode: t
>   diff-auto-refine-mode: t
>   recentf-mode: t
>   shell-dirtrack-mode: t
>   display-battery-mode: t
>   tabbar-mode: t
>   auto-image-file-mode: t
>   show-paren-mode: t
>   server-mode: t
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   global-auto-composition-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   column-number-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent input:
> t l m <tab> <return> C-n C-n C-n C-n C-n M-x r e p
> o r <tab> <return>
>
> Recent messages:
> Loading semantic-decorate-mode...done
> Loading gud...done
> Restarting server
> Loading /Users/bread/.emacs.d/custom.el (source)...done
> Loading /Users/bread/.emacs.d/site-lisp/themes/color-theme-blackboard.el
> (source)...done
> Loading /Users/bread/.emacs.d/site-lisp/themes/color-theme-bread.el
> (source)...done
> Loading /Users/bread/.emacs.d/site-lisp/themes/color-theme-example.el
> (source)...done
> Loading /Users/bread/.emacs.d/site-lisp/themes/color-theme-library.el
> (source)...done
> Loading semanticdb-file...done
> For information about GNU Emacs and the GNU system, type C-h C-a.
>
> Load-path shadows:
> ~/.emacs.d/site-lisp/cedet/speedbar/speedbar hides
> /Users/bread/codes/download/emacs/nextstep/Emacs.app/Contents/Resources/lisp/speedbar
> ~/.emacs.d/site-lisp/cedet/speedbar/sb-image hides
> /Users/bread/codes/download/emacs/nextstep/Emacs.app/Contents/Resources/lisp/sb-image
> /Users/bread/.emacs.d/site-lisp/cedet/common/ezimage hides
> /Users/bread/codes/download/emacs/nextstep/Emacs.app/Contents/Resources/lisp/ezimage
> ~/.emacs.d/site-lisp/cedet/speedbar/dframe hides
> /Users/bread/codes/download/emacs/nextstep/Emacs.app/Contents/Resources/lisp/dframe
>
>
> --
> Zhiqiu Kong (孔直秋)
>

-- 
Zhiqiu Kong (孔直秋)

EDA Labs
Dept. Computer Science & Technology
Tsinghua University
P.R China
100084